# Open Publishing (Blogging) Space Skeleton

[![Demo](https://img.shields.io/badge/Demo-OpenPublishingSpace-blue.svg?style=flat-square)](http://demo.hibbittsdesign.org/grav-open-publishing/)
[![License](https://img.shields.io/badge/License-MIT-blue.svg?style=flat-square)](https://github.com/hibbitts-design/grav-skeleton-open-publishing-space/blob/master/LICENSE)

[![Discord](https://img.shields.io/discord/501836936584101899.svg?logo=discord&colorB=728ADA&label=Discord%20Chat)](https://chat.getgrav.org)

**Open Publishing Space** with Git Sync is designed to support an open and collaborative publishing space, inside or outside of other platforms (e.g. LMS). Built with the open source modern file-based [Grav CMS](http://getgrav.org).

📚 Information and Documentation
---
https://learn.hibbittsdesign.org/openpublishingspace

🚀 Quick Install Instructions
---
**Pre-flight Checklist**  

1. Confirm Web server PHP version (PHP 8.0.2 or higher)
2. Web server login credentials (username and password)

**Installation Steps**  

1. Download the ready-to-run [Open Publishing Space Skeleton Package](https://github.com/hibbitts-design/grav-skeleton-open-publishing-space/releases/latest/download/grav-skeleton-open-publishing-space.zip)
2. Unzip the package onto your desktop  
3. Copy the entire expanded folder to your Web server  
4. Point your browser to the Web server folder  
5. Create your site administrator account when prompted  
6. And you're done! (press the ![Right Arrow Circle Icon](https://github.com/paulhibbitts/github-repo-images/blob/master/fa-arrow-circle-right.png?raw=true) icon in the Admin Panel to preview site)

💻 Open Publishing Space Screenshot
---
![ Open Publishing Space Skeleton](https://github.com/paulhibbitts/github-repo-images/blob/master/smartmockups_open-publishing-space.png?raw=true)

This skeleton uses the [Quark Open Publishing theme](https://github.com/hibbitts-design/grav-theme-quark-open-publishing), a customized version of the [Quark theme](https://github.com/getgrav/grav-theme-quark).

⚡️ Open Publishing Space Features Highlights
---
<table cellpadding="2" cellspacing="2" width="100%">
	<tbody>
		<tr>
			<td width="50%">
				<ul>
					<li>Ready-to-run open source <a href="http://getgrav.org">Grav</a> package</li>
					<li>Minimal server requirements (PHP 7.1 or higher, no database required)</li>
					<li>Built-in support for automatic two-way <a href="https://github.com/trilbymedia/grav-plugin-git-sync">Git Sync</a></li>
					<li>Global 'Chromeless Pages' site setting for all pages (for embedding entire site within another platform, e.g. LMS)
					<li>Optional 'chromeless' page URL flag (for embedding specific pages within another platform, e.g. LMS)
	        <li>Uses <a href="https://daringfireball.net/projects/markdown/">Markdown</a> and HTML files for cross-platform content</li>				
					<li>Full access to <a href="https://www.w3schools.com/html/default.asp">HTML</a>, <a href="https://www.w3schools.com/css/default.asp">CSS</a>, <a href="https://www.w3schools.com/js/default.asp">Javascript</a>, <a href="https://twig.symfony.com/doc/2.x/">Twig Templates</a>, <a href="http://www.yaml.org/">YAML</a>, etc.</li>
				</ul>
			</td>
			<td width="50%">
				<ul>
					<li>Featured posts (i.e. sticky posts)</li>
					<li>Option to toggle page summaries (i.e. summaries are not displayed with page content)</li>
					<li>Includes ShortCodes for Buttons, <a href="http://embed.ly/">Embed.ly Cards</a>, <a href="https://www.google.ca/slides/about/">GoogleSlides</a>, <a href="https://h5p.org/">H5P</a>, iFrame, PDF and <a href="https://twitter.com/">Twitter Feeds</a></li>
					<li>Enhanced support for GoogleSlides, H5P and PDF Shortcodes in <a href="https://getgrav.org/premium/nextgen-editor">Grav Premium NextGen Editor</a></li>
					<li>Site pages can be easily added/removed/changed</li>
					<li>Enhanced support for the <a href="https://github.com/OleVik/grav-plugin-presentation">Presentation Plugin</a></li>
          <li>Custom links can be added to site navigation bar</li>
					<li>Sidebar is customizable (Markdown or HTML)</li>
          <li>Creative Commons license display</li>
          <li>Various Web accessibility enhancements (i.e. hidden H1 page titles)</li>
				</ul>
			</td>
		</tr>
	</tbody>
</table>

Share Your Feedback
---
* Complete the [Open Publishing Space Survey](https://goo.gl/forms/WtGdm1UFJ7BJj1N53)
